# CommonMediaGroupMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / CommonMediaGroupMessage

# CommonMediaGroupMessage

(common) `data class CommonMediaGroupMessage : MediaGroupMessage, FromUserMessage` (source)

### Constructors

(common)

#### <init>

`CommonMediaGroupMessage(messageId: MessageIdentifier, user: User, chat: Chat, date: DateTime, mediaGroupId: MediaGroupIdentifier, content: MediaGroupContent, editDate: DateTime?, forwardInfo: ForwardInfo?, replyTo: Message?, replyMarkup: InlineKeyboardMarkup?)`

### Properties

(common)

#### chat

`val chat: Chat`

(common)

#### content

`val content: MediaGroupContent`

(common)

#### date

`val date: DateTime`

(common)

#### editDate

`val editDate: DateTime?`

(common)

#### forwardInfo

`val forwardInfo: ForwardInfo?`

(common)

#### mediaGroupId

`val mediaGroupId: MediaGroupIdentifier`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### replyTo

`val replyTo: Message?`

(common)

#### user

`val user: User`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`